/*
 * WeinbusBufferInputCoil.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "WEINBUS/WeinbusBufferCoil.h"
#include "WEINBUS/WeinbusTableCoil.h"

#ifndef WEINBUS_WEINBUSBUFFERINPUTCOIL_H_
#define WEINBUS_WEINBUSBUFFERINPUTCOIL_H_


namespace WEINBUS
{

class WeinbusBufferInputCoil: public WEINBUS::WeinbusBufferCoil
{
private:
    WEINBUS::WeinbusTableCoil m_coils[16];
public:
    WeinbusBufferInputCoil();
public:
    void add(uint16_t offset, WEINBUS::weinbus_coil_t coil, uint16_t* param);
};

} /* namespace WEINBUS */

#endif /* WEINBUS_WEINBUSBUFFERINPUTCOIL_H_ */
