/*
 * ModbusRTUTransceiverBase.cpp
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "MODBUSRTU/ModbusRTUTransceiverBase.h"

namespace MODBUSRTU
{
//CONSTRUCTOR
ModbusRTUTransceiverBase::ModbusRTUTransceiverBase(DSP28335::SCIBase& sciport, DSP28335::CPUTimers& cputimer, MODBUSRTU::ModbusRTUCRC& crc):
        m_sci_port(sciport),
        m_sci_config(),
        m_node_id(0),
        //
        m_state_machine(MODBUSRTU::SCAN),
        m_event(MODBUSRTU::ENTRY)
        //
{}//CONSTRUCTOR

} /* namespace MODBUSRTU */
