/*
 * WeinbusTableCoil.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */
#include <math.h>
#include <stdint.h>

#include "WEINBUS/WeinbusDefines.h"
#include "WEINBUS/WeinbusTableUnit.h"

#ifndef WEINBUS_WEINBUSTABLECOIL_H_
#define WEINBUS_WEINBUSTABLECOIL_H_

namespace WEINBUS
{

class WeinbusTableCoil: public WEINBUS::WeinbusTableUnit
{
private:
    WEINBUS::weinbus_coil_t m_coil;
public:
    WeinbusTableCoil();
public:
    void add(uint16_t address, WEINBUS::weinbus_coil_t coil, uint16_t* param);
public:
    void read(uint16_t data);
    void write(uint16_t data);
    void write(int16_t  data);
};

} /* namespace WEINBUS */

#endif /* WEINBUS_WEINBUSTABLECOIL_H_ */
