/*
 * WeinbusTableUnit.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include <math.h>
#include <stdint.h>

#include "WEINBUS/WeinbusDefines.h"

#ifndef WEINBUS_WEINBUSTABLEUNIT_H_
#define WEINBUS_WEINBUSTABLEUNIT_H_

namespace WEINBUS
{

class WeinbusTableUnit
{
protected:
    uint16_t    m_address;
    void*       m_param;
public:
    WeinbusTableUnit();
public:
    uint16_t    get_address();
};

} /* namespace WEINBUS */

#endif /* WEINBUS_WEINBUSTABLEUNIT_H_ */
